% ... Définition de \AtBeginSection
%     -----------------------------

\AtBeginSection[]{
  \begin{frame}<beamer>
    \frametitle{Plan}
    %\frametitle{\thesection{} -  \secname}
    %\begin{multicols}{2}
    \renewcommand{\baselinestretch}{1.2}\normalsize
    %\tableofcontents[currentsection]
    %\tableofcontents[hideallsubsections]
    
    %https://tex.stackexchange.com/questions/193975/highlight-only-current-subsection-hide-subsections-of-other-sections
    %show = current subsection is shown regularly
	%shaded = the section's other subsections are shown, but shaded
	%hide = other sections' subsection entries are not shown in the table of contents
    \tableofcontents
    [
        currentsection,
        currentsubsection,
        subsectionstyle=show/shaded/hide
    ]
    \renewcommand{\baselinestretch}{1.0}\normalsize
    %\end{multicols}
    \addtocounter{framenumber}{-1}% If you don't want them to affect the slide number
  \end{frame}
}

% ... Définition de \AtBeginSubSection
%     --------------------------------

\AtBeginSubsection[]
{
  \begin{frame}<beamer>
    \frametitle{\thesection{} -  \secname}
    %\begin{multicols}{2}
%    \tableofcontents[currentsubsection,hideothersubsections]
    \renewcommand{\baselinestretch}{1.5}\normalsize
    \tableofcontents[sectionstyle=show/hide,subsectionstyle=show/shaded/hide]
    \renewcommand{\baselinestretch}{1.0}\normalsize
    %\end{multicols}
    \addtocounter{framenumber}{-1}% If you don't want them to affect the slide number
  \end{frame}
}
